package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * MAC address list. Valid when [type] is 2
 */
@ApiModel(description = "MAC address list. Valid when [type] is 2")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class MacAddressOpenApiVo   {
  @JsonProperty("ruleId")
  private Integer ruleId;

  @JsonProperty("name")
  private String name;

  @JsonProperty("macAddress")
  private String macAddress;

  public MacAddressOpenApiVo ruleId(Integer ruleId) {
    this.ruleId = ruleId;
    return this;
  }

  /**
   * ID of MAC address info
   * @return ruleId
  */
  @ApiModelProperty(value = "ID of MAC address info")


  public Integer getRuleId() {
    return ruleId;
  }

  public void setRuleId(Integer ruleId) {
    this.ruleId = ruleId;
  }

  public MacAddressOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * MAC address name
   * @return name
  */
  @ApiModelProperty(value = "MAC address name")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public MacAddressOpenApiVo macAddress(String macAddress) {
    this.macAddress = macAddress;
    return this;
  }

  /**
   * MAC address
   * @return macAddress
  */
  @ApiModelProperty(value = "MAC address")


  public String getMacAddress() {
    return macAddress;
  }

  public void setMacAddress(String macAddress) {
    this.macAddress = macAddress;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    MacAddressOpenApiVo macAddressOpenApiVo = (MacAddressOpenApiVo) o;
    return Objects.equals(this.ruleId, macAddressOpenApiVo.ruleId) &&
        Objects.equals(this.name, macAddressOpenApiVo.name) &&
        Objects.equals(this.macAddress, macAddressOpenApiVo.macAddress);
  }

  @Override
  public int hashCode() {
    return Objects.hash(ruleId, name, macAddress);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class MacAddressOpenApiVo {\n");
    
    sb.append("    ruleId: ").append(toIndentedString(ruleId)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    macAddress: ").append(toIndentedString(macAddress)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

